# coding=utf-8
from __future__ import unicode_literals, absolute_import
from ..utils.enum import Enum, unique


@unique
class INSURANCE_STATUS(Enum):
    CREATED = (1, '已创建')
    PAID = (2, '已付款')
    ACTIVATED = (3, '已激活')
    LOSE_EFFICACY = (4, '取消')


@unique
class INSURANCE_TYPE(Enum):
    N = (0, '美购不卖保险标志')
    YINUO = (1, '一诺保险')
    ZHONGAN = (2, '众安保险')


@unique
class CARD_STATUS(Enum):
    UNUSE = 'unuse', '未使用'
    USED = 'used', '已使用'
